package com.gyee.wisdom.dao.alarm;

import com.gyee.wisdom.common.data.alarm.GyeePowerStation;
import com.gyee.wisdom.common.data.windturbine.PowerStation;

import java.util.List;

public interface IGyeePowerStationDao {
    List<GyeePowerStation> getAll();

    List<GyeePowerStation>getListByPage(int pageIndex, int pageSize);

    GyeePowerStation getStationById(String id);

    void add(GyeePowerStation newStation);

    void delete(String id);

    void   update(GyeePowerStation station);
}
